Bug 121923 - xscreensaver dumps core when using ldap auth
xscreensaver dumps core when using ldap auth
Status: CLOSED DUPLICATE of bug 121734
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-29 00:11 EDT by James Bourne
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bourne 2004-04-29 00:11:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040312

Description of problem:
Using a series of (fast) keystrokes and when using pam_ldap for
authentication to a central server, you can crash xscreensaver easily
and reproducabily.

What I found was that it looks like during the auth phase within a
library there is a problem where possibly pam causes it to dump core.   

I have tested this against RHEL 3.0 as well (using ldap auth) and it
would not fail.  FC1 release does also have this issue.

Version-Release number of selected component (if applicable):
xscreensaver-4.14-4

How reproducible:
Always

Steps to Reproduce:
1. lock screen
2. press alt (or another non-text key to wake password prompt)
3. type a<enter> really fast.  because I was typing at the time I
couldn't actually time how fast, but you have to try and beat the
world record to make it work.
4. first time it will fail
5. type a<enter> really fast again, and xscreensaver crashes.


Actual Results:  xscreensaver dumps core and exits, unlocking screen.

Expected Results:  screen remains locked

Additional info:

Here is the session to produce a core file:

bash$ xscreensaver
Xlib:  extension "GLX" missing on display ":0.0".
...
Xlib:  extension "GLX" missing on display ":0.0".
Segmentation fault (core dumped)
bash$ 

GDB output to follow.
Comment 1 James Bourne 2004-04-29 00:12:18 EDT
Here is the GDB output from a backtrace:
gdb xscreensaver core
GNU gdb Red Hat Linux (6.0post-0.20040223.8rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and
you are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for
details.
This GDB was configured as "i386-redhat-linux-gnu"...(no debugging
symbols found)...Using host libthread_db library
"/lib/tls/libthread_db.so.1".

Core was generated by `xscreensaver'.
Program terminated with signal 11, Segmentation fault.

warning: svr4_current_sos: Can't read pathname for load map:
Input/output error

Error while mapping shared library sections:
: Success.
Error while reading shared library symbols:
: No such file or directory.
Reading symbols from /usr/X11R6/lib/libXmu.so.6...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXmu.so.6
Reading symbols from /usr/X11R6/lib/libXss.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXss.so.1
Reading symbols from /usr/X11R6/lib/libXinerama.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXinerama.so.1
Reading symbols from /usr/X11R6/lib/libXxf86vm.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXxf86vm.so.1
Reading symbols from /usr/X11R6/lib/libXxf86misc.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXxf86misc.so.1
Reading symbols from /usr/X11R6/lib/libSM.so.6...(no debugging symbols
found)...done.
Loaded symbols for /usr/X11R6/lib/libSM.so.6
Reading symbols from /usr/X11R6/lib/libICE.so.6...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libICE.so.6
Reading symbols from /usr/X11R6/lib/libXt.so.6...(no debugging symbols
found)...done.
Loaded symbols for /usr/X11R6/lib/libXt.so.6
Reading symbols from /usr/X11R6/lib/libX11.so.6...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libX11.so.6
Reading symbols from /usr/X11R6/lib/libXext.so.6...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXext.so.6
Reading symbols from /lib/libpam.so.0...(no debugging symbols
found)...done.
Loaded symbols for /lib/libpam.so.0
Reading symbols from /lib/libdl.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libkrb4.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libkrb4.so.2
Reading symbols from /usr/lib/libdes425.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libdes425.so.3
Reading symbols from /usr/lib/libkrb5.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libkrb5.so.3
Reading symbols from /usr/lib/libk5crypto.so.3...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libk5crypto.so.3
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libcrypt.so.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/libcrypt.so.1
Reading symbols from /lib/libresolv.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libresolv.so.2
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols
found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /lib/libnss_files.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libnss_files.so.2
Reading symbols from /lib/libnss_ldap.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libnss_ldap.so.2
Reading symbols from
/usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/X11/locale/lib/common/xlcDef.so.2
Reading symbols from /usr/X11R6/lib/libXcursor.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXcursor.so.1
Reading symbols from /usr/X11R6/lib/libXrender.so.1...(no debugging
symbols found)...done.
Loaded symbols for /usr/X11R6/lib/libXrender.so.1
Reading symbols from /lib/libcrypto.so.4...(no debugging symbols
found)...done.
Loaded symbols for /lib/libcrypto.so.4
Reading symbols from /usr/lib/libgssapi_krb5.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/libgssapi_krb5.so.2
Reading symbols from /usr/lib/libz.so.1...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libz.so.1
Reading symbols from /usr/lib/sasl2/libanonymous.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libanonymous.so.2
Reading symbols from /usr/lib/sasl2/libsasldb.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libsasldb.so.2
Reading symbols from /usr/lib/sasl2/libcrammd5.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libcrammd5.so.2
Reading symbols from /usr/lib/sasl2/libdigestmd5.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libdigestmd5.so.2
Reading symbols from /usr/lib/sasl2/liblogin.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/liblogin.so.2
Reading symbols from /usr/lib/sasl2/libplain.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libplain.so.2
Reading symbols from /usr/lib/sasl2/libgssapiv2.so.2...(no debugging
symbols found)...done.
Loaded symbols for /usr/lib/sasl2/libgssapiv2.so.2
Reading symbols from /lib/security/pam_stack.so...(no debugging
symbols found)...done.
Loaded symbols for /lib/security/pam_stack.so
Reading symbols from
/lib/security/../../lib/security/pam_deny.so...(no debugging symbols
found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_deny.so
Reading symbols from /lib/security/../../lib/security/pam_env.so...(no
debugging symbols found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_env.so
Reading symbols from
/lib/security/../../lib/security/pam_unix.so...(no debugging symbols
found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_unix.so
Reading symbols from /lib/libnsl.so.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/libnsl.so.1
Reading symbols from /lib/libselinux.so.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/libselinux.so.1
Reading symbols from
/lib/security/../../lib/security/pam_krb5.so...(no debugging symbols
found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_krb5.so
Reading symbols from /usr/lib/libkrbafs.so.0...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libkrbafs.so.0
Reading symbols from
/lib/security/../../lib/security/pam_ldap.so...(no debugging symbols
found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_ldap.so
Reading symbols from /usr/lib/libldap.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libldap.so.2
Reading symbols from /usr/lib/liblber.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/liblber.so.2
Reading symbols from /usr/lib/libsasl2.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libsasl2.so.2
Reading symbols from /lib/libssl.so.4...(no debugging symbols
found)...done.
Loaded symbols for /lib/libssl.so.4
Reading symbols from
/lib/security/../../lib/security/pam_cracklib.so...(no debugging
symbols found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_cracklib.so
Reading symbols from /usr/lib/libcrack.so.2...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libcrack.so.2
Reading symbols from
/lib/security/../../lib/security/pam_limits.so...(no debugging symbols
found)...done.
Loaded symbols for /lib/security/../../lib/security/pam_limits.so
#0  0x002e341a in ?? ()
(gdb) bt
#0  0x002e341a in ?? ()
#1  0xfef9985c in ?? ()
#2  0xfef9aae0 in ?? ()
#3  0x0000000b in ?? ()
#4  0x009c1606 in kill () from /lib/tls/libc.so.6
#5  0x08050bb0 in ?? ()
#6  0x00005bb1 in ?? ()
#7  0x0000000b in ?? ()
#8  0x00000000 in ?? ()
(gdb)
Comment 2 Bill Nottingham 2004-04-29 00:21:59 EDT
What happens if you install the pam, xscreensaver, and openldap
debuginfo packages?
Comment 3 James Bourne 2004-04-29 01:02:18 EDT
(gdb) bt
#0  0x002e341a in ?? ()
#1  0xfef9985c in ?? ()
#2  0xfef9aae0 in ?? ()
#3  0x0000000b in ?? ()
#4  0x009c1606 in kill () from /lib/tls/libc.so.6
#5  0x08050bb0 in restore_real_vroot_handler (sig=11) at windows.c:635
Previous frame inner to this frame (corrupt stack?)

Comment 4 James Bourne 2004-07-15 00:02:00 EDT
This is a dup of bug #121734.  Workaround is to turn off SSL support
at this point but bug #121734 shows the source of the problem.

*** This bug has been marked as a duplicate of 121734 ***
Comment 5 Red Hat Bugzilla 2006-02-21 14:02:50 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.